package in.ashokit;


import java.lang.reflect.Constructor;
import java.lang.reflect.Field;
import java.lang.reflect.Method;

public class RelectionDemo{
	

	public static void main(String[] args) throws Exception{
		
		Class cx=Class.forName("in.ashokit.Student");
		
		//Below code to get Fileds for Class using Reflection 
		Field[] fields=cx.getDeclaredFields();
		
		for(Field f:fields){
			System.out.println("Filed Name " + f.getName());
		}
		
		//Below code to get Fileds for Methods using Reflection
		
		Method[] methods=cx.getDeclaredMethods();
		
		for(Method m:methods){
			System.out.println("Method Name " + m.getName());
		}
		
		Constructor[] cons=cx.getDeclaredConstructors();
		for(Constructor c: cons){
			System.out.println("Constructor Name " + c.getName());
		}
	}
	
}